# Visualization
TKService
AlienImage

# AlienImage_X11XWDAlienData Class Reference

This class defines a X11 Alien image.
.

`#include <AlienImage_X11XWDAlienData.hxx>`

Inheritance diagram for AlienImage_X11XWDAlienData:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_X11XWDAlienData ()
Standard_EXPORT void | Clear ()
| Frees memory allocated by X11XWDAlienData .
| ~AlienImage_X11XWDAlienData ()
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Read content of a X11XWDAlienData object from a file Returns True if file is a XWD file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Write content of a X11XWDAlienData object to a file .
virtual Standard_EXPORT void | SetName (const TCollection_AsciiString &aName)
| Set Image name . .
virtual Standard_EXPORT const TCollection_AsciiString & | Name () const
| Get Image name . .
Standard_EXPORT Handle_Image_Image | ToImage () const
| convert a X11XWDAlienData object to a Image object.
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| convert a Image object to a X11XWDAlienData object.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

AlienImage_X11XWDFileHeader | myHeader
Standard_Address | myColors
Standard_Address | myData

## Private Member Functions

Standard_EXPORT Standard_Integer | Pixel (const Standard_Integer X, const Standard_Integer Y) const
Standard_EXPORT void | SetPixel (const Standard_Integer X, const Standard_Integer Y, const Standard_Integer Value)
Standard_EXPORT Standard_Integer | DataSize () const
| Compute the imaga data size in byte from header information .
Standard_EXPORT Standard_Integer | RedShift () const
| Compute the red shift for TrueColor X11XWDImage .
Standard_EXPORT Standard_Integer | GreenShift () const
| Compute the red shift for TrueColor X11XWDImage .
Standard_EXPORT Standard_Integer | BlueShift () const
| Compute the red shift for TrueColor X11XWDImage .
Standard_EXPORT Handle_Image_PseudoColorImage | ToPseudoColorImage () const
| convert a Image object to a AlienImage object.
Standard_EXPORT Handle_Image_ColorImage | ToColorImage () const
| convert a Image object to a AlienImage object.
Standard_EXPORT void | FromPseudoColorImage (const Handle(Image_PseudoColorImage)&anImage)
| convert a Image object to a X11XWDAlienData object.
Standard_EXPORT void | FromColorImage (const Handle(Image_ColorImage)&anImage)
| convert a Image object to a X11XWDAlienData object.

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_X11XWDAlienData::AlienImage_X11XWDAlienData | ( |  | ) |

AlienImage_X11XWDAlienData::~AlienImage_X11XWDAlienData | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT Standard_Integer AlienImage_X11XWDAlienData::BlueShift | ( |  | ) | const`[private]`

Standard_EXPORT void AlienImage_X11XWDAlienData::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer AlienImage_X11XWDAlienData::DataSize | ( |  | ) | const`[private]`

Standard_EXPORT void AlienImage_X11XWDAlienData::FromColorImage | ( | const Handle(Image_ColorImage)& | anImage | ) | `[private]`

Standard_EXPORT void AlienImage_X11XWDAlienData::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT void AlienImage_X11XWDAlienData::FromPseudoColorImage | ( | const Handle(Image_PseudoColorImage)& | anImage | ) | `[private]`

Standard_EXPORT Standard_Integer AlienImage_X11XWDAlienData::GreenShift | ( |  | ) | const`[private]`

Standard_EXPORT const AlienImage_X11XWDAlienData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienImageData.

virtual Standard_EXPORT const TCollection_AsciiString& AlienImage_X11XWDAlienData::Name | ( |  | ) | const`[virtual]`

| Reimplemented from AlienImage_AlienImageData.

Standard_EXPORT Standard_Integer AlienImage_X11XWDAlienData::Pixel | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y
| ) | const`[private]`

Standard_EXPORT Standard_Boolean AlienImage_X11XWDAlienData::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Standard_Integer AlienImage_X11XWDAlienData::RedShift | ( |  | ) | const`[private]`

virtual Standard_EXPORT void AlienImage_X11XWDAlienData::SetName | ( | const TCollection_AsciiString & | aName | ) | `[virtual]`

| Reimplemented from AlienImage_AlienImageData.

Standard_EXPORT void AlienImage_X11XWDAlienData::SetPixel | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y,
|  | const Standard_Integer | Value
| ) | `[private]`

Standard_EXPORT Handle_Image_ColorImage AlienImage_X11XWDAlienData::ToColorImage | ( |  | ) | const`[private]`

Standard_EXPORT Handle_Image_Image AlienImage_X11XWDAlienData::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Handle_Image_PseudoColorImage AlienImage_X11XWDAlienData::ToPseudoColorImage | ( |  | ) | const`[private]`

Standard_EXPORT Standard_Boolean AlienImage_X11XWDAlienData::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

## Field Documentation

Standard_Address AlienImage_X11XWDAlienData::myColors `[protected]`

Standard_Address AlienImage_X11XWDAlienData::myData `[protected]`

AlienImage_X11XWDFileHeader AlienImage_X11XWDAlienData::myHeader `[protected]`

The documentation for this class was generated from the following file:

- AlienImage_X11XWDAlienData.hxx